package com.gprinter.udp.wifi.chek;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;
import com.gprinter.utils.LogUtils;

/* loaded from: com_gprinter_udp_wifi_chek.jar:com/gprinter/udp/wifi/chek/ApLannCommand.class */
public class ApLannCommand extends CommandUDP {
    String TAG = ApLannCommand.class.getSimpleName();

    public byte[] getCommand() {
        return "AT+LANN\r".getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] bytes) {
        if (bytes != null) {
            try {
                String response = new String(bytes);
                ApLannResp lannResp = new ApLannResp();
                lannResp.setIp(response.split("=")[1].split(",")[0]);
                lannResp.setMask(response.split("=")[1].split(",")[1]);
                return lannResp;
            } catch (Exception e) {
                e.printStackTrace();
                LogUtils.e(this.TAG, "resolve error" + e.getMessage());
                return null;
            }
        }
        return null;
    }
}
